Bug 1566619 - Enable discard support for Ceph RBD
Summary: Enable discard support for Ceph RBD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-cinder
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: Upstream M3
: 15.0 (Stein)
Assignee: Alan Bishop
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-12 15:52 UTC by Eric Harney
Modified: 2019-09-26 10:44 UTC (History)
8 users (show)

Fixed In Version: puppet-cinder-14.4.1-0.20190420083336.1cf0604.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:16:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 623530 None MERGED RBD: Report discard is supported 2020-05-05 17:07:31 UTC

Description Eric Harney 2018-04-12 15:52:22 UTC
When deploying the tripleo_ceph backend for cinder, the cinder.conf setting "report_discard_supported" should be set for RBD backends, to enable use of discard (trim/unmap).

Comment 1 Alan Bishop 2018-04-23 20:50:47 UTC
This looks like an easy thing to take care of in puppet-cinder.

Comment 3 Alan Bishop 2019-01-29 22:20:33 UTC
Retargeting for OSP-15 as upstream patch is not on stable/rocky, and puppet-cinder community is resistant to backporting patches that are more like a feature than a bug fix.

Comment 7 Tzach Shefi 2019-05-20 09:09:54 UTC
Verified on:
puppet-cinder-14.4.1-0.20190420083336.1cf0604.el8ost.noarch

Deployed 15 +ceph below is the ceph conf section from cinder.conf


[tripleo_ceph]
backend_host=hostgroup
volume_backend_name=tripleo_ceph
volume_driver=cinder.volume.drivers.rbd.RBDDriver
rbd_ceph_conf=/etc/ceph/ceph.conf
rbd_user=openstack
rbd_pool=volumes
rbd_secret_uuid=702c62d2-7a05-11e9-9deb-525400da38c6
report_discard_supported=True    -> is enabled OK to verify.

Comment 8 Tzach Shefi 2019-05-20 09:10:23 UTC
Forgot to set verified, see above.

Comment 10 errata-xmlrpc 2019-09-21 11:16:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.